# FoundationClasses
TKAdvTools
Materials

# Materials_MaterialsDictionary Class Reference

This class creates a dictionary of materials.
.

`#include <Materials_MaterialsDictionary.hxx>`

Inheritance diagram for Materials_MaterialsDictionary:

[legend]

## Public Member Functions

Standard_EXPORT | Materials_MaterialsDictionary ()
| Returns a MaterialsDictionary object which contains the sequence of all the materials the user wants to consider. .
Standard_EXPORT Handle_Materials_Material | Material (const Standard_CString amaterial) const
| Retrieves from the dictionary the object material with <amaterial> as name. If <amaterial> does not exist in the dictionary an exeption is raised. .
Standard_EXPORT Standard_Boolean | ExistMaterial (const Standard_CString aName) const
| True if the materialofname aName exists ... .
Standard_EXPORT Standard_Integer | NumberOfMaterials () const
| Returns the number of materials previously stored in the dictionary. .
Standard_EXPORT Handle_Materials_Material | Material (const Standard_Integer anindex) const
| This method used with the previous one, allow the exploration of all the dictionary. It returns a Material instance. .
Standard_EXPORT Standard_Boolean | UpToDate () const
| Returns true if there has been no modification of the file Materials.dat since the creation of the dictionary object, false otherwise. .
Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thefilename
Standard_Integer | thetime
Handle_Materials_MaterialsSequence | thematerialssequence

## Constructor & Destructor Documentation

Standard_EXPORT Materials_MaterialsDictionary::Materials_MaterialsDictionary | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Materials_MaterialsDictionary::Dump | ( | Standard_OStream & | astream | ) | const

Standard_EXPORT Standard_Boolean Materials_MaterialsDictionary::ExistMaterial | ( | const Standard_CString | aName | ) | const

Standard_EXPORT const Materials_MaterialsDictionary::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_Materials_Material Materials_MaterialsDictionary::Material | ( | const Standard_Integer | anindex | ) | const

Standard_EXPORT Handle_Materials_Material Materials_MaterialsDictionary::Material | ( | const Standard_CString | amaterial | ) | const

Standard_EXPORT Standard_Integer Materials_MaterialsDictionary::NumberOfMaterials | ( |  | ) | const

Standard_EXPORT Standard_Boolean Materials_MaterialsDictionary::UpToDate | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Materials_MaterialsDictionary::thefilename `[private]`

Handle_Materials_MaterialsSequence Materials_MaterialsDictionary::thematerialssequence `[private]`

Standard_Integer Materials_MaterialsDictionary::thetime `[private]`

The documentation for this class was generated from the following file:

- Materials_MaterialsDictionary.hxx